<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.system.mapper.DictMapper">
    <select id="listDictTypePage" resultType="com.yida.data.system.vo.DictTypePageVO">
        select type, description
        from t_dict
        <where>
            del_flag=0
            <if test="typeName != null and typeName != ''">
                and description like concat('%',#{typeName},'%')
            </if>
        </where>
        group by type, description
        order by type
    </select>
</mapper>